﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace OverTimeConverTool
{
    static class Tools
    {
        /// <summary>
        /// 扩展方法，保留时间到分钟
        /// </summary>
        /// <param name="s"></param>
        /// <returns></returns>
        public static string TimerStringWithoutSe(this string s)
        {
            if (!string.IsNullOrEmpty(s))
            {
                return Convert.ToDateTime(s).ToString("yyyy-MM-dd HH:mm");
            }
            return "";
        }
        /// <summary>
        /// 求结束时间
        /// </summary>
        /// <param name="bTime"></param>
        /// <param name="hour"></param>
        /// <returns></returns>
        public static string GetEndTimeByBengin(string bTime, string hour)
        {
            if (!string.IsNullOrEmpty(bTime) && !string.IsNullOrEmpty(hour))
            {
                DateTime endTime = Convert.ToDateTime(bTime).AddHours(double.Parse(hour));
                return endTime.ToString();
            }
            return "";
        }
    }
}
