﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.RegularExpressions;

namespace SearchWordFromJavaTool
{
    class Match
    {
        /// <summary>
        /// 获取java的package
        /// </summary>
        /// <param name="str"></param>
        /// <returns></returns>
        public static string GetPackage(string str)
        {
            return Regex.Match(str, "(?<=package).*?(?=;)").Value;
        }
        /// <summary>
        /// 获取C#的NameSpace
        /// </summary>
        /// <param name="str"></param>
        /// <returns></returns>
        public static string GetNamespace(string str)
        {
            return Regex.Match(str, "(?<=namespace).*?(?=\r)").Value;
        }
        /// <summary>
        /// 获取文件名
        /// </summary>
        /// <param name="str"></param>
        /// <returns></returns>
        public static string GetFileName(string str)
        {
            return Regex.Match(str, "(?<=_).*?(?=_)").Value;
        }
        /// <summary>
        /// 获取命名空间
        /// </summary>
        /// <param name="str"></param>
        /// <returns></returns>
        public static string GetPaOrNs(string str)
        {
            return Regex.Match(str, "^.*?(?=_)").Value;
        }
    }
}
