﻿using System;
using System.Windows;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;
using ToolsInterface.Interfaces;

namespace WinTools.Tools
{
    class UCToolsHelper
    {
        /// <summary>
        /// 通过文件夹的名称创建TabControl导航
        /// </summary>
        /// <param name="header">文件夹名称</param>
        /// <param name="tc"></param>
        /// <returns></returns>
        public static TabItem CreateTabByDirName(string header,TabControl tc)
        {
            TabItem tabItem = new TabItem();
            tabItem.Header = header;
            tc.Items.Add(tabItem);
            return tabItem;
        }
        /// <summary>
        /// 创建WrapPanel
        /// </summary>
        /// <param name="ti"></param>
        /// <returns></returns>
        public static WrapPanel CreateWrapPanel(TabItem ti)
        {
            WrapPanel wrapPanel = new WrapPanel();
            wrapPanel.HorizontalAlignment = HorizontalAlignment.Left;
            wrapPanel.VerticalAlignment = VerticalAlignment.Center;
            wrapPanel.Margin = new Thickness(2);
            ti.Content = wrapPanel;
            return wrapPanel;
        }
        
    }
}
