﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Media;
using ToolsInterface.Interfaces;

namespace OverTimeConverTool
{
    public class FunctionHelper : IToolsInterface
    {
        public Brush BackgroundBrush
        {
            get
            {
                return new SolidColorBrush(Colors.Red);
            }
        }

        public Brush ForgroundBrush
        {
            get
            {
                return new SolidColorBrush(Colors.Yellow);
            }
        }

        public bool IsPopUp
        {
            get
            {
                return false;
            }
        }

        public string ToolName
        {
            get
            {
                return "加班单转换工具";
            }
        }

        public FrameworkElement RunToolApplication()
        {
            return new OverTimeConverUC();
        }
    }
}
