﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Forms;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace OverTimeConverTool
{
    /// <summary>
    /// OverTimeConverUC.xaml 的交互逻辑
    /// </summary>
    public partial class OverTimeConverUC : System.Windows.Controls.UserControl
    {
        public OverTimeConverUC()
        {
            InitializeComponent();
        }

        DataTable dt = new DataTable();

        private void btn_Read_Click(object sender, RoutedEventArgs e)
        {
            OpenFileDialog ofd = new OpenFileDialog();
            ofd.Filter = "(*.CSV)|*.CSV";
            //ofd.ShowReadOnly = true;
            if (ofd.ShowDialog() == DialogResult.OK)
            {
                tb_Path.Text = ofd.FileName;
                dt = CSVFileHelper.OpenCSV(ofd.FileName);
                System.Windows.Forms.MessageBox.Show("载入成功！");
            }
        }

        private void btn_Conver_Click(object sender, RoutedEventArgs e)
        {
            SaveFileDialog sfd = new SaveFileDialog();
            sfd.Filter = "Word文档(*.doc)|*.doc";
            sfd.FileName = "加班申请单" + DateTime.Now.ToLongDateString();
            if (sfd.ShowDialog() == DialogResult.OK)
            {
                WordFileHelper.ExportWord(dt, sfd.FileName, (bool)cb_Auto.IsChecked);
            }
        }
    }
}
