﻿using System;
using System.Windows;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Media;
using ToolsInterface.Interfaces;

namespace SearchWordFromJavaTool
{
    public class FunctionHelper : IToolsInterface
    {
        public Brush BackgroundBrush
        {
            get
            {
                return new SolidColorBrush(Colors.LightBlue);
            }
        }

        public Brush ForgroundBrush
        {
            get
            {
                return new SolidColorBrush(Colors.YellowGreen);
            }
        }

        public bool IsPopUp
        {
            get
            {
                return false;
            }
        }

        public string ToolName
        {
            get
            {
                return "方法查询工具";
            }
        }

        public FrameworkElement RunToolApplication()
        {
            return new SearchUC();
        }
    }
}
