﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Forms;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SearchWordFromJavaTool
{
    /// <summary>
    /// SearchUC.xaml 的交互逻辑
    /// </summary>
    public partial class SearchUC : System.Windows.Controls.UserControl
    {
        public SearchUC()
        {
            InitializeComponent();
        }

        private void btn_path_Click(object sender, RoutedEventArgs e)
        {
            FolderBrowserDialog fbd = new FolderBrowserDialog();
            if (fbd.ShowDialog() == DialogResult.OK)
            {
                tb_path.Text = fbd.SelectedPath;
            }
        }

        private void btn_search_Click(object sender, RoutedEventArgs e)
        {
            if (string.IsNullOrEmpty(tb_path.Text) || string.IsNullOrEmpty(tb_method.Text))
            {
                System.Windows.MessageBox.Show("请选择路径和填写要搜索的方法名");
                return;
            }
            else
            {
                if (rb_java.IsChecked==true)
                    ReadAndSearch.RAS("." + tb_method.Text, tb_path.Text, FileType.type_Java);//默认给方法名加.
                if (rb_cs.IsChecked==true)
                    ReadAndSearch.RAS("." + tb_method.Text, tb_path.Text, FileType.type_Csharp);//默认给方法名加.
            }
        }
    }
}
