﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Media;

namespace ToolsInterface.Interfaces
{
    public interface IToolsInterface
    {
        /// <summary>
        /// 获取工具名称
        /// </summary>
        string ToolName
        {
            get;
        }
        /// <summary>
        /// 是否弹出
        /// </summary>
        bool IsPopUp
        {
            get;
        }
        /// <summary>
        /// 前景色
        /// </summary>
        Brush ForgroundBrush
        {
            get;
        }
        /// <summary>
        /// 背景色
        /// </summary>
        Brush BackgroundBrush
        {
            get;
        }
        /// <summary>
        /// 工具启动方法
        /// </summary>
        /// <returns></returns>
        FrameworkElement RunToolApplication();
    }
}
